{
    "$graph": [
        {
            "doc": "Calculates the MD5 hash of the input file and compares it to the input MD5 hash.\nIf hashes match: Exit 0\nIf not match: Exit permanentFail\n",
            "class": "Workflow",
            "id": "#main",
            "label": "Check-file-hash",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/file_to_check"
                },
                {
                    "type": "string",
                    "id": "#main/input_hash"
                }
            ],
            "steps": [
                {
                    "run": "#calc_md5.cwl",
                    "in": [
                        {
                            "source": "#main/file_to_check",
                            "id": "#main/calc_bam_md5/in_file"
                        }
                    ],
                    "out": [
                        "#main/calc_bam_md5/out_hash"
                    ],
                    "id": "#main/calc_bam_md5"
                },
                {
                    "run": "#string_comparison.cwl",
                    "in": [
                        {
                            "source": "#main/input_hash",
                            "id": "#main/check_hash/known_str"
                        },
                        {
                            "source": "#main/get_hash_string/a_string",
                            "id": "#main/check_hash/str_in"
                        }
                    ],
                    "out": [],
                    "id": "#main/check_hash"
                },
                {
                    "run": "#read_file.cwl",
                    "in": [
                        {
                            "source": "#main/calc_bam_md5/out_hash",
                            "id": "#main/get_hash_string/a_File"
                        }
                    ],
                    "out": [
                        "#main/get_hash_string/a_string"
                    ],
                    "id": "#main/get_hash_string"
                }
            ],
            "outputs": [
                {
                    "type": "string",
                    "outputSource": "#main/get_hash_string/a_string",
                    "id": "#main/out_hash_string"
                }
            ]
        },
        {
            "doc": "Calculate the MD5 hash for the input file.\n",
            "class": "CommandLineTool",
            "baseCommand": "md5sum",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "heliumdatacommons/topmed-rnaseq:latest"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#calc_md5.cwl/in_file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#calc_md5.cwl/out_hash",
                    "outputBinding": {
                        "glob": "7868d98cb2ce94aa1b1aec32646818a824c7d572"
                    }
                }
            ],
            "id": "#calc_md5.cwl",
            "stdout": "7868d98cb2ce94aa1b1aec32646818a824c7d572"
        },
        {
            "class": "ExpressionTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "loadContents": true
                    },
                    "id": "#read_file.cwl/a_File"
                }
            ],
            "expression": "${ return { \"a_string\": inputs.a_File.contents.split(\" \")[0] }; }\n",
            "outputs": [
                {
                    "type": "string",
                    "id": "#read_file.cwl/a_string"
                }
            ],
            "id": "#read_file.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#string_comparison.cwl/known_str"
                },
                {
                    "type": "string",
                    "id": "#string_comparison.cwl/str_in"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#string_comparison.cwl/str_out",
                    "outputBinding": {
                        "glob": "8ab722e23d2710ffc533fa8e0689ac81879dccb6"
                    }
                }
            ],
            "arguments": [
                {
                    "valueFrom": "if",
                    "shellQuote": false
                },
                " [ ",
                "\"",
                {
                    "valueFrom": "$(inputs.str_in)",
                    "shellQuote": false
                },
                "\"",
                {
                    "valueFrom": " == ",
                    "shellQuote": false
                },
                "\"",
                {
                    "valueFrom": "$(inputs.known_str)",
                    "shellQuote": false
                },
                "\"",
                " ]; ",
                {
                    "valueFrom": "then exit 0; else exit 1; fi",
                    "shellQuote": false
                }
            ],
            "id": "#string_comparison.cwl",
            "stdout": "8ab722e23d2710ffc533fa8e0689ac81879dccb6"
        }
    ],
    "cwlVersion": "v1.0"
}
